Index: t3lib/class.t3lib_div.php
===================================================================
--- t3lib/class.t3lib_div.php	(revision 9354)
+++ t3lib/class.t3lib_div.php	(revision )
@@ -2487,59 +2533,59 @@
 	 * @return	string		An XML string made from the input content in the array.
 	 * @see xml2array()
 	 */
-	public static function array2xml(array $array,$NSprefix='',$level=0,$docTag='phparray',$spaceInd=0,array $options=array(),array $stackData=array())	{
+	public static function array2xml(array $array, $NSprefix = '', $level = 0, $docTag = 'phparray', $spaceInd = 0, array $options = array(), array $stackData = array()) {
 			// The list of byte values which will trigger binary-safe storage. If any value has one of these char values in it, it will be encoded in base64
-		$binaryChars = chr(0).chr(1).chr(2).chr(3).chr(4).chr(5).chr(6).chr(7).chr(8).
+		$binaryChars = chr(0) . chr(1) . chr(2) . chr(3) . chr(4) . chr(5) . chr(6) . chr(7) . chr(8) .
-						chr(11).chr(12).chr(14).chr(15).chr(16).chr(17).chr(18).chr(19).
+				chr(11) . chr(12) . chr(14) . chr(15) . chr(16) . chr(17) . chr(18) . chr(19) .
-						chr(20).chr(21).chr(22).chr(23).chr(24).chr(25).chr(26).chr(27).chr(28).chr(29).
+				chr(20) . chr(21) . chr(22) . chr(23) . chr(24) . chr(25) . chr(26) . chr(27) . chr(28) . chr(29) .
-						chr(30).chr(31);
+				chr(30) . chr(31);
 			// Set indenting mode:
 		$indentChar = $spaceInd ? ' ' : TAB;
-		$indentN = $spaceInd>0 ? $spaceInd : 1;
+		$indentN = $spaceInd > 0 ? $spaceInd : 1;
 		$nl = ($spaceInd >= 0 ? LF : '');
 
 			// Init output variable:
-		$output='';
+		$output = '';
 
 			// Traverse the input array
-		foreach($array as $k=>$v)	{
+		foreach ($array as $k => $v) {
 			$attr = '';
 			$tagName = $k;
 
 				// Construct the tag name.
-			if(isset($options['grandParentTagMap'][$stackData['grandParentTagName'].'/'.$stackData['parentTagName']])) {		// Use tag based on grand-parent + parent tag name
+			if (isset($options['grandParentTagMap'][$stackData['grandParentTagName'] . '/' . $stackData['parentTagName']])) { // Use tag based on grand-parent + parent tag name
-				$attr.=' index="'.htmlspecialchars($tagName).'"';
+				$attr .= ' index="' . htmlspecialchars($tagName) . '"';
-				$tagName = (string)$options['grandParentTagMap'][$stackData['grandParentTagName'].'/'.$stackData['parentTagName']];
+				$tagName = (string) $options['grandParentTagMap'][$stackData['grandParentTagName'] . '/' . $stackData['parentTagName']];
-			}elseif(isset($options['parentTagMap'][$stackData['parentTagName'].':_IS_NUM']) && self::testInt($tagName)) {		// Use tag based on parent tag name + if current tag is numeric
+			} elseif (isset($options['parentTagMap'][$stackData['parentTagName'] . ':_IS_NUM']) && self::testInt($tagName)) { // Use tag based on parent tag name + if current tag is numeric
-				$attr.=' index="'.htmlspecialchars($tagName).'"';
+				$attr .= ' index="' . htmlspecialchars($tagName) . '"';
-				$tagName = (string)$options['parentTagMap'][$stackData['parentTagName'].':_IS_NUM'];
+				$tagName = (string) $options['parentTagMap'][$stackData['parentTagName'] . ':_IS_NUM'];
-			}elseif(isset($options['parentTagMap'][$stackData['parentTagName'].':'.$tagName])) {		// Use tag based on parent tag name + current tag
+			} elseif (isset($options['parentTagMap'][$stackData['parentTagName'] . ':' . $tagName])) { // Use tag based on parent tag name + current tag
-				$attr.=' index="'.htmlspecialchars($tagName).'"';
+				$attr .= ' index="' . htmlspecialchars($tagName) . '"';
-				$tagName = (string)$options['parentTagMap'][$stackData['parentTagName'].':'.$tagName];
+				$tagName = (string) $options['parentTagMap'][$stackData['parentTagName'] . ':' . $tagName];
-			} elseif(isset($options['parentTagMap'][$stackData['parentTagName']])) {		// Use tag based on parent tag name:
+			} elseif (isset($options['parentTagMap'][$stackData['parentTagName']])) { // Use tag based on parent tag name:
-				$attr.=' index="'.htmlspecialchars($tagName).'"';
+				$attr .= ' index="' . htmlspecialchars($tagName) . '"';
-				$tagName = (string)$options['parentTagMap'][$stackData['parentTagName']];
+				$tagName = (string) $options['parentTagMap'][$stackData['parentTagName']];
-			} elseif (!strcmp(intval($tagName),$tagName))	{	// If integer...;
+			} elseif (!strcmp(intval($tagName), $tagName)) { // If integer...;
-				if ($options['useNindex']) {	// If numeric key, prefix "n"
+				if ($options['useNindex']) { // If numeric key, prefix "n"
-					$tagName = 'n'.$tagName;
+					$tagName = 'n' . $tagName;
-				} else {	// Use special tag for num. keys:
+				} else { // Use special tag for num. keys:
-					$attr.=' index="'.$tagName.'"';
+					$attr .= ' index="' . $tagName . '"';
 					$tagName = $options['useIndexTagForNum'] ? $options['useIndexTagForNum'] : 'numIndex';
 				}
-			} elseif($options['useIndexTagForAssoc']) {		// Use tag for all associative keys:
+			} elseif ($options['useIndexTagForAssoc']) { // Use tag for all associative keys:
-				$attr.=' index="'.htmlspecialchars($tagName).'"';
+				$attr .= ' index="' . htmlspecialchars($tagName) . '"';
 				$tagName = $options['useIndexTagForAssoc'];
 			}
 
 				// The tag name is cleaned up so only alphanumeric chars (plus - and _) are in there and not longer than 100 chars either.
-			$tagName = substr(preg_replace('/[^[:alnum:]_-]/','',$tagName),0,100);
+			$tagName = substr(preg_replace('/[^[:alnum:]_-]/', '', $tagName), 0, 100);
 
 				// If the value is an array then we will call this function recursively:
-			if (is_array($v))	{
+			if (is_array($v)) {
 
 					// Sub elements:
-				if ($options['alt_options'][$stackData['path'].'/'.$tagName])	{
+				if ($options['alt_options'][$stackData['path'] . '/' . $tagName]) {
-					$subOptions = $options['alt_options'][$stackData['path'].'/'.$tagName];
+					$subOptions = $options['alt_options'][$stackData['path'] . '/' . $tagName];
 					$clearStackPath = $subOptions['clearStackPath'];
 				} else {
 					$subOptions = $options;
@@ -2547,31 +2593,31 @@
 				}
 
 				$content = $nl .
-							self::array2xml(
-								$v,
-								$NSprefix,
+						self::array2xml(
+							$v,
+							$NSprefix,
-								$level+1,
+								$level + 1,
-								'',
-								$spaceInd,
-								$subOptions,
-								array(
-									'parentTagName' => $tagName,
-									'grandParentTagName' => $stackData['parentTagName'],
+							'',
+							$spaceInd,
+							$subOptions,
+							array(
+								'parentTagName' => $tagName,
+								'grandParentTagName' => $stackData['parentTagName'],
-									'path' => $clearStackPath ? '' : $stackData['path'].'/'.$tagName,
+								'path' => $clearStackPath ? '' : $stackData['path'] . '/' . $tagName,
-								)
+							)
-							).
+						) .
-							($spaceInd >= 0 ? str_pad('',($level+1)*$indentN,$indentChar) : '');
+						($spaceInd >= 0 ? str_pad('', ($level + 1) * $indentN, $indentChar) : '');
-				if ((int)$options['disableTypeAttrib']!=2)	{	// Do not set "type = array". Makes prettier XML but means that empty arrays are not restored with xml2array
+				if ((int) $options['disableTypeAttrib'] != 2) { // Do not set "type = array". Makes prettier XML but means that empty arrays are not restored with xml2array
-					$attr.=' type="array"';
+					$attr .= ' type="array"';
 				}
-			} else {	// Just a value:
+			} else { // Just a value:
 
 					// Look for binary chars:
-				$vLen = strlen($v);	// check for length, because PHP 5.2.0 may crash when first argument of strcspn is empty
+				$vLen = strlen($v); // check for length, because PHP 5.2.0 may crash when first argument of strcspn is empty
-				if ($vLen && strcspn($v,$binaryChars) != $vLen)	{	// Go for base64 encoding if the initial segment NOT matching any binary char has the same length as the whole string!
+				if ($vLen && strcspn($v, $binaryChars) != $vLen) { // Go for base64 encoding if the initial segment NOT matching any binary char has the same length as the whole string!
 						// If the value contained binary chars then we base64-encode it an set an attribute to notify this situation:
-					$content = $nl.chunk_split(base64_encode($v));
+					$content = $nl . chunk_split(base64_encode($v));
-					$attr.=' base64="1"';
+					$attr .= ' base64="1"';
 				} else {
 						// Otherwise, just htmlspecialchar the stuff:
 					$content = htmlspecialchars($v);
@@ -2581,21 +2627,21 @@
 							$content = '<![CDATA[' . $v . ']]>';
 						}
 					} elseif (!$options['disableTypeAttrib']) {
-						$attr.= ' type="'.$dType.'"';
+						$attr .= ' type="' . $dType . '"';
 					}
 				}
 			}
 
 				// Add the element to the output string:
-			$output.=($spaceInd >= 0 ? str_pad('',($level+1)*$indentN,$indentChar) : '').'<'.$NSprefix.$tagName.$attr.'>'.$content.'</'.$NSprefix.$tagName.'>'.$nl;
+			$output .= ($spaceInd >= 0 ? str_pad('', ($level + 1) * $indentN, $indentChar) : '') . '<' . $NSprefix . $tagName . $attr . '>' . $content . '</' . $NSprefix . $tagName . '>' . $nl;
 		}
 
-		// If we are at the outer-most level, then we finally wrap it all in the document tags and return that as the value:
+			// If we are at the outer-most level, then we finally wrap it all in the document tags and return that as the value:
-		if (!$level)	{
+		if (!$level) {
 			$output =
-				'<'.$docTag.'>'.$nl.
+					'<' . $docTag . '>' . $nl .
-				$output.
+							$output .
-				'</'.$docTag.'>';
+							'</' . $docTag . '>';
 		}
 
 		return $output;
@@ -2614,7 +2660,7 @@
 	 * @see array2xml(),xml2arrayProcess()
 	 * @author	Fabrizio Branca <typo3@fabrizio-branca.de> (added caching)
 	 */
-	public static function xml2array($string,$NSprefix='',$reportDocTag=FALSE) {
+	public static function xml2array($string, $NSprefix = '', $reportDocTag = FALSE) {
 		static $firstLevelCache = array();
 
 		$identifier = md5($string . $NSprefix . ($reportDocTag ? '1' : '0'));
@@ -2627,7 +2673,7 @@
 			$cacheContent = t3lib_pageSelect::getHash($identifier, 0);
 			$array = unserialize($cacheContent);
 
-			if ($array === false) {
+			if ($array === FALSE) {
 				$array = self::xml2arrayProcess($string, $NSprefix, $reportDocTag);
 				t3lib_pageSelect::storeHash($identifier, serialize($array), 'ident_xml2array');
 			}
@@ -2648,7 +2694,7 @@
 	 * @return	mixed		If the parsing had errors, a string with the error message is returned. Otherwise an array with the content.
 	 * @see array2xml()
 	 */
-	protected function xml2arrayProcess($string,$NSprefix='',$reportDocTag=FALSE) {
+	protected function xml2arrayProcess($string, $NSprefix = '', $reportDocTag = FALSE) {
 		global $TYPO3_CONF_VARS;
 
 			// Create parser:
@@ -2661,16 +2707,16 @@
 
 			// default output charset is UTF-8, only ASCII, ISO-8859-1 and UTF-8 are supported!!!
 		$match = array();
-		preg_match('/^[[:space:]]*<\?xml[^>]*encoding[[:space:]]*=[[:space:]]*"([^"]*)"/',substr($string,0,200),$match);
+		preg_match('/^[[:space:]]*<\?xml[^>]*encoding[[:space:]]*=[[:space:]]*"([^"]*)"/', substr($string, 0, 200), $match);
 		$theCharset = $match[1] ? $match[1] : ($TYPO3_CONF_VARS['BE']['forceCharset'] ? $TYPO3_CONF_VARS['BE']['forceCharset'] : 'iso-8859-1');
-		xml_parser_set_option($parser, XML_OPTION_TARGET_ENCODING, $theCharset);  // us-ascii / utf-8 / iso-8859-1
+		xml_parser_set_option($parser, XML_OPTION_TARGET_ENCODING, $theCharset); // us-ascii / utf-8 / iso-8859-1
 
 			// Parse content:
 		xml_parse_into_struct($parser, $string, $vals, $index);
 
 			// If error, return error message:
-		if (xml_get_error_code($parser))	{
+		if (xml_get_error_code($parser)) {
-			return 'Line '.xml_get_current_line_number($parser).': '.xml_error_string(xml_get_error_code($parser));
+			return 'Line ' . xml_get_current_line_number($parser) . ': ' . xml_error_string(xml_get_error_code($parser));
 		}
 		xml_parser_free($parser);
 
@@ -2682,63 +2728,67 @@
 		$documentTag = '';
 
 			// Traverse the parsed XML structure:
-		foreach($vals as $key => $val) {
+		foreach ($vals as $key => $val) {
 
 				// First, process the tag-name (which is used in both cases, whether "complete" or "close")
 			$tagName = $val['tag'];
-			if (!$documentTag)	$documentTag = $tagName;
+			if (!$documentTag) {
+				$documentTag = $tagName;
+			}
 
 				// Test for name space:
-			$tagName = ($NSprefix && substr($tagName,0,strlen($NSprefix))==$NSprefix) ? substr($tagName,strlen($NSprefix)) : $tagName;
+			$tagName = ($NSprefix && substr($tagName, 0, strlen($NSprefix)) == $NSprefix) ? substr($tagName, strlen($NSprefix)) : $tagName;
 
 				// Test for numeric tag, encoded on the form "nXXX":
-			$testNtag = substr($tagName,1);	// Closing tag.
+			$testNtag = substr($tagName, 1); // Closing tag.
-			$tagName = (substr($tagName,0,1)=='n' && !strcmp(intval($testNtag),$testNtag)) ? intval($testNtag) : $tagName;
+			$tagName = (substr($tagName, 0, 1) == 'n' && !strcmp(intval($testNtag), $testNtag)) ? intval($testNtag) : $tagName;
 
 				// Test for alternative index value:
-			if (strlen($val['attributes']['index']))	{ $tagName = $val['attributes']['index']; }
+			if (strlen($val['attributes']['index'])) {
+				$tagName = $val['attributes']['index'];
+			}
 
 				// Setting tag-values, manage stack:
-			switch($val['type'])	{
+			switch ($val['type']) {
-				case 'open':		// If open tag it means there is an array stored in sub-elements. Therefore increase the stackpointer and reset the accumulation array:
+				case 'open': // If open tag it means there is an array stored in sub-elements. Therefore increase the stackpointer and reset the accumulation array:
-					$current[$tagName] = array();	// Setting blank place holder
+					$current[$tagName] = array(); // Setting blank place holder
 					$stack[$stacktop++] = $current;
 					$current = array();
-				break;
+					break;
-				case 'close':	// If the tag is "close" then it is an array which is closing and we decrease the stack pointer.
+				case 'close': // If the tag is "close" then it is an array which is closing and we decrease the stack pointer.
 					$oldCurrent = $current;
 					$current = $stack[--$stacktop];
-					end($current);	// Going to the end of array to get placeholder key, key($current), and fill in array next:
+					end($current); // Going to the end of array to get placeholder key, key($current), and fill in array next:
 					$current[key($current)] = $oldCurrent;
 					unset($oldCurrent);
-				break;
+					break;
-				case 'complete':	// If "complete", then it's a value. If the attribute "base64" is set, then decode the value, otherwise just set it.
+				case 'complete': // If "complete", then it's a value. If the attribute "base64" is set, then decode the value, otherwise just set it.
-					if ($val['attributes']['base64'])	{
+					if ($val['attributes']['base64']) {
 						$current[$tagName] = base64_decode($val['value']);
 					} else {
-						$current[$tagName] = (string)$val['value']; // Had to cast it as a string - otherwise it would be evaluate false if tested with isset()!!
+						$current[$tagName] = (string) $val['value']; // Had to cast it as a string - otherwise it would be evaluate false if tested with isset()!!
 
 							// Cast type:
-						switch((string)$val['attributes']['type'])	{
+						switch ((string) $val['attributes']['type']) {
 							case 'integer':
-								$current[$tagName] = (integer)$current[$tagName];
+								$current[$tagName] = (integer) $current[$tagName];
-							break;
+								break;
 							case 'double':
-								$current[$tagName] = (double)$current[$tagName];
+								$current[$tagName] = (double) $current[$tagName];
-							break;
+								break;
 							case 'boolean':
-								$current[$tagName] = (bool)$current[$tagName];
+								$current[$tagName] = (bool) $current[$tagName];
-							break;
+								break;
 							case 'array':
-								$current[$tagName] = array();	// MUST be an empty array since it is processed as a value; Empty arrays would end up here because they would have no tags inside...
+								$current[$tagName] = array(); // MUST be an empty array since it is processed as a value; Empty arrays would end up here because they would have no tags inside...
-							break;
+								break;
 						}
 					}
-				break;
+					break;
 			}
 		}
 
-		if ($reportDocTag)	{
+		if ($reportDocTag) {
 			$current[$tagName]['_DOCUMENT_TAG'] = $documentTag;
 		}
 
@@ -2753,37 +2803,41 @@
 	 * @param	array		A array of XML parts, see xml2tree
 	 * @return	string		Re-compiled XML data.
 	 */
-	public static function xmlRecompileFromStructValArray(array $vals)	{
+	public static function xmlRecompileFromStructValArray(array $vals) {
-		$XMLcontent='';
+		$XMLcontent = '';
 
-		foreach($vals as $val) {
+		foreach ($vals as $val) {
 			$type = $val['type'];
 
 				// open tag:
-			if ($type=='open' || $type=='complete') {
+			if ($type == 'open' || $type == 'complete') {
-				$XMLcontent.='<'.$val['tag'];
+				$XMLcontent .= '<' . $val['tag'];
-				if(isset($val['attributes']))  {
+				if (isset($val['attributes'])) {
-					foreach($val['attributes'] as $k => $v)	{
+					foreach ($val['attributes'] as $k => $v) {
-						$XMLcontent.=' '.$k.'="'.htmlspecialchars($v).'"';
+						$XMLcontent .= ' ' . $k . '="' . htmlspecialchars($v) . '"';
 					}
 				}
-				if ($type=='complete')	{
+				if ($type == 'complete') {
-					if(isset($val['value']))	{
+					if (isset($val['value'])) {
-						$XMLcontent.='>'.htmlspecialchars($val['value']).'</'.$val['tag'].'>';
+						$XMLcontent .= '>' . htmlspecialchars($val['value']) . '</' . $val['tag'] . '>';
-					} else $XMLcontent.='/>';
-				} else $XMLcontent.='>';
+					} else {
+						$XMLcontent .= '/>';
+					}
+				} else {
+					$XMLcontent .= '>';
+				}
 
-				if ($type=='open' && isset($val['value']))	{
+				if ($type == 'open' && isset($val['value'])) {
-					$XMLcontent.=htmlspecialchars($val['value']);
+					$XMLcontent .= htmlspecialchars($val['value']);
 				}
 			}
 				// finish tag:
-			if ($type=='close')	{
+			if ($type == 'close') {
-				$XMLcontent.='</'.$val['tag'].'>';
+				$XMLcontent .= '</' . $val['tag'] . '>';
 			}
 				// cdata
-			if($type=='cdata') {
+			if ($type == 'cdata') {
-				$XMLcontent.=htmlspecialchars($val['value']);
+				$XMLcontent .= htmlspecialchars($val['value']);
 			}
 		}
 
@@ -2797,9 +2851,9 @@
 	 * @param	string		XML data
 	 * @return	array		Attributes of the xml prologue (header)
 	 */
-	public static function xmlGetHeaderAttribs($xmlData)	{
+	public static function xmlGetHeaderAttribs($xmlData) {
 		$match = array();
-		if (preg_match('/^\s*<\?xml([^>]*)\?\>/', $xmlData, $match))	{
+		if (preg_match('/^\s*<\?xml([^>]*)\?\>/', $xmlData, $match)) {
 			return self::get_tag_attributes($match[1]);
 		}
 	}
@@ -2817,7 +2871,7 @@
 			$error = '';
 			$script = trim(JSMin::minify(str_replace(CR, '', $script)));
 		}
-		catch(JSMinException $e) {
+		catch (JSMinException $e) {
 			$error = 'Error while minifying JavaScript: ' . $e->getMessage();
 			self::devLog($error, 't3lib_div', 2,
 				array('JavaScript' => $script, 'Stack trace' => $e->getTrace()));
@@ -2826,12 +2880,6 @@
 	}
 
 
-
-
-
-
-
-
 	/*************************
 	 *
 	 * FILES FUNCTIONS
@@ -2849,28 +2897,28 @@
 	 * @param	array			Error code/message and, if $includeHeader is 1, response meta data (HTTP status and content type)
 	 * @return	string	The content from the resource given as input. FALSE if an error has occured.
 	 */
-	public static function getURL($url, $includeHeader = 0, $requestHeaders = false, &$report = NULL)	{
-		$content = false;
+	public static function getURL($url, $includeHeader = 0, $requestHeaders = FALSE, &$report = NULL) {
+		$content = FALSE;
 
-		if (isset($report))	{
+		if (isset($report)) {
 			$report['error'] = 0;
 			$report['message'] = '';
 		}
 
 			// use cURL for: http, https, ftp, ftps, sftp and scp
-		if ($GLOBALS['TYPO3_CONF_VARS']['SYS']['curlUse'] == '1' && preg_match('/^(?:http|ftp)s?|s(?:ftp|cp):/', $url))	{
+		if ($GLOBALS['TYPO3_CONF_VARS']['SYS']['curlUse'] == '1' && preg_match('/^(?:http|ftp)s?|s(?:ftp|cp):/', $url)) {
-			if (isset($report))	{
+			if (isset($report)) {
 				$report['lib'] = 'cURL';
 			}
 
 				// External URL without error checking.
 			$ch = curl_init();
-			if (!$ch)	{
+			if (!$ch) {
-				if (isset($report))	{
+				if (isset($report)) {
 					$report['error'] = -1;
 					$report['message'] = 'Couldn\'t initialize cURL.';
 				}
-				return false;
+				return FALSE;
 			}
 
 			curl_setopt($ch, CURLOPT_URL, $url);
@@ -2884,33 +2932,33 @@
 				// may fail (PHP 5.2.0+ and 5.1.5+) when open_basedir or safe_mode are enabled
 			$followLocation = @curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
 
-			if (is_array($requestHeaders))	{
+			if (is_array($requestHeaders)) {
 				curl_setopt($ch, CURLOPT_HTTPHEADER, $requestHeaders);
 			}
 
 				// (Proxy support implemented by Arco <arco@appeltaart.mine.nu>)
-			if ($GLOBALS['TYPO3_CONF_VARS']['SYS']['curlProxyServer'])	{
+			if ($GLOBALS['TYPO3_CONF_VARS']['SYS']['curlProxyServer']) {
 				curl_setopt($ch, CURLOPT_PROXY, $GLOBALS['TYPO3_CONF_VARS']['SYS']['curlProxyServer']);
 
-				if ($GLOBALS['TYPO3_CONF_VARS']['SYS']['curlProxyTunnel'])	{
+				if ($GLOBALS['TYPO3_CONF_VARS']['SYS']['curlProxyTunnel']) {
 					curl_setopt($ch, CURLOPT_HTTPPROXYTUNNEL, $GLOBALS['TYPO3_CONF_VARS']['SYS']['curlProxyTunnel']);
 				}
-				if ($GLOBALS['TYPO3_CONF_VARS']['SYS']['curlProxyUserPass'])	{
+				if ($GLOBALS['TYPO3_CONF_VARS']['SYS']['curlProxyUserPass']) {
 					curl_setopt($ch, CURLOPT_PROXYUSERPWD, $GLOBALS['TYPO3_CONF_VARS']['SYS']['curlProxyUserPass']);
 				}
 			}
 			$content = curl_exec($ch);
-			if (isset($report))	{
+			if (isset($report)) {
-				if ($content===FALSE)	{
+				if ($content === FALSE) {
 					$report['error'] = curl_errno($ch);
 					$report['message'] = curl_error($ch);
 				} else {
 					$curlInfo = curl_getinfo($ch);
 						// We hit a redirection but we couldn't follow it
-					if (!$followLocation && $curlInfo['status'] >= 300 && $curlInfo['status'] < 400)	 {
+					if (!$followLocation && $curlInfo['status'] >= 300 && $curlInfo['status'] < 400) {
 						$report['error'] = -1;
 						$report['message'] = 'Couldn\'t follow location redirect (either PHP configuration option safe_mode or open_basedir is in effect).';
-					} elseif($includeHeader) {
+					} elseif ($includeHeader) {
 							// Set only for $includeHeader to work exactly like PHP variant
 						$report['http_code'] = $curlInfo['http_code'];
 						$report['content_type'] = $curlInfo['content_type'];
@@ -2919,99 +2967,99 @@
 			}
 			curl_close($ch);
 
-		} elseif ($includeHeader)	{
+		} elseif ($includeHeader) {
-			if (isset($report))	{
+			if (isset($report)) {
 				$report['lib'] = 'socket';
 			}
 			$parsedURL = parse_url($url);
-			if (!preg_match('/^https?/', $parsedURL['scheme']))	{
+			if (!preg_match('/^https?/', $parsedURL['scheme'])) {
-				if (isset($report))	{
+				if (isset($report)) {
 					$report['error'] = -1;
 					$report['message'] = 'Reading headers is not allowed for this protocol.';
 				}
-				return false;
+				return FALSE;
 			}
 			$port = intval($parsedURL['port']);
-			if ($port < 1)	{
+			if ($port < 1) {
-				if ($parsedURL['scheme'] == 'http')	{
+				if ($parsedURL['scheme'] == 'http') {
-					$port = ($port>0 ? $port : 80);
+					$port = ($port > 0 ? $port : 80);
 					$scheme = '';
 				} else {
-					$port = ($port>0 ? $port : 443);
+					$port = ($port > 0 ? $port : 443);
 					$scheme = 'ssl://';
 				}
 			}
 			$errno = 0;
-			// $errstr = '';
+				// $errstr = '';
-			$fp = @fsockopen($scheme.$parsedURL['host'], $port, $errno, $errstr, 2.0);
+			$fp = @fsockopen($scheme . $parsedURL['host'], $port, $errno, $errstr, 2.0);
-			if (!$fp || $errno > 0)	{
+			if (!$fp || $errno > 0) {
-				if (isset($report))	{
+				if (isset($report)) {
 					$report['error'] = $errno ? $errno : -1;
 					$report['message'] = $errno ? ($errstr ? $errstr : 'Socket error.') : 'Socket initialization error.';
 				}
-				return false;
+				return FALSE;
 			}
 			$method = ($includeHeader == 2) ? 'HEAD' : 'GET';
 			$msg = $method . ' ' . $parsedURL['path'] .
 					($parsedURL['query'] ? '?' . $parsedURL['query'] : '') .
 					' HTTP/1.0' . CRLF . 'Host: ' .
 					$parsedURL['host'] . "\r\nConnection: close\r\n";
-			if (is_array($requestHeaders))	{
+			if (is_array($requestHeaders)) {
 				$msg .= implode(CRLF, $requestHeaders) . CRLF;
 			}
 			$msg .= CRLF;
 
 			fputs($fp, $msg);
-			while (!feof($fp))	{
+			while (!feof($fp)) {
 				$line = fgets($fp, 2048);
-				if (isset($report))	{
+				if (isset($report)) {
-					if (preg_match('|^HTTP/\d\.\d +(\d+)|', $line, $status))	{
+					if (preg_match('|^HTTP/\d\.\d +(\d+)|', $line, $status)) {
 						$report['http_code'] = $status[1];
 					}
-					elseif (preg_match('/^Content-Type: *(.*)/i', $line, $type))	{
+					elseif (preg_match('/^Content-Type: *(.*)/i', $line, $type)) {
 						$report['content_type'] = $type[1];
 					}
 				}
 				$content .= $line;
-				if (!strlen(trim($line)))	{
+				if (!strlen(trim($line))) {
-					break;	// Stop at the first empty line (= end of header)
+					break; // Stop at the first empty line (= end of header)
 				}
 			}
-			if ($includeHeader != 2)	{
+			if ($includeHeader != 2) {
 				$content .= stream_get_contents($fp);
 			}
 			fclose($fp);
 
-		} elseif (is_array($requestHeaders))	{
+		} elseif (is_array($requestHeaders)) {
-			if (isset($report))	{
+			if (isset($report)) {
 				$report['lib'] = 'file/context';
 			}
 			$parsedURL = parse_url($url);
-			if (!preg_match('/^https?/', $parsedURL['scheme']))	{
+			if (!preg_match('/^https?/', $parsedURL['scheme'])) {
-				if (isset($report))	{
+				if (isset($report)) {
 					$report['error'] = -1;
 					$report['message'] = 'Sending request headers is not allowed for this protocol.';
 				}
-				return false;
+				return FALSE;
 			}
 			$ctx = stream_context_create(array(
-						'http' => array(
-							'header' => implode(CRLF, $requestHeaders)
-						)
-					)
-				);
+				'http' => array(
+					'header' => implode(CRLF, $requestHeaders)
+				)
+			)
+			);
-			$content = @file_get_contents($url, false, $ctx);
-			if ($content === false && isset($report)) {
+			$content = @file_get_contents($url, FALSE, $ctx);
+			if ($content === FALSE && isset($report)) {
 				$phpError = error_get_last();
 				$report['error'] = $phpError['type'];
 				$report['message'] = $phpError['message'];
 			}
-		} else	{
+		} else {
-			if (isset($report))	{
+			if (isset($report)) {
 				$report['lib'] = 'file';
 			}
 			$content = @file_get_contents($url);
-			if ($content === false && isset($report))	{
+			if ($content === FALSE && isset($report)) {
 				if (function_exists('error_get_last')) {
 					$phpError = error_get_last();
 					$report['error'] = $phpError['type'];
@@ -3034,23 +3082,27 @@
 	 * @param	string		Content to write
 	 * @return	boolean		True if the file was successfully opened and written to.
 	 */
-	public static function writeFile($file,$content)	{
+	public static function writeFile($file, $content) {
-		if (!@is_file($file))	$changePermissions = true;
+		if (!@is_file($file)) {
+			$changePermissions = TRUE;
+		}
 
-		if ($fd = fopen($file,'wb'))	{
+		if ($fd = fopen($file, 'wb')) {
-			$res = fwrite($fd,$content);
+			$res = fwrite($fd, $content);
 			fclose($fd);
 
-			if ($res===false)	return false;
+			if ($res === FALSE) {
+				return FALSE;
+			}
 
-			if ($changePermissions)	{	// Change the permissions only if the file has just been created
+			if ($changePermissions) { // Change the permissions only if the file has just been created
 				self::fixPermissions($file);
 			}
 
-			return true;
+			return TRUE;
 		}
 
-		return false;
+		return FALSE;
 	}
 
 	/**
@@ -3058,7 +3110,7 @@
 	 *
 	 * @param   string   Absolute filepath of file or folder, must not be escaped.
 	 * @param   boolean  If set, also fixes permissions of files and folders in the folder (if $path is a folder)
-	 * @return  mixed    TRUE on success, FALSE on error, always TRUE on Windows OS
+	 * @return  mixed	TRUE on success, FALSE on error, always TRUE on Windows OS
 	 */
 	public static function fixPermissions($path, $recursive = FALSE) {
 		if (TYPO3_OS != 'WIN') {
@@ -3074,7 +3126,7 @@
 				}
 
 					// Set createGroup if not empty
-				if($GLOBALS['TYPO3_CONF_VARS']['BE']['createGroup']) {
+				if ($GLOBALS['TYPO3_CONF_VARS']['BE']['createGroup']) {
 						// "@" is there because file is not necessarily OWNED by the user
 					$changeGroupResult = @chgrp($path, $GLOBALS['TYPO3_CONF_VARS']['BE']['createGroup']);
 					$result = $changeGroupResult ? $result : FALSE;
@@ -3084,7 +3136,7 @@
 				if ($recursive && @is_dir($path)) {
 					$handle = opendir($path);
 					while (($file = readdir($handle)) !== FALSE) {
-						unset($recursionResult);
+						$recursionResult = NULL;
 						if ($file !== '.' && $file !== '..') {
 							if (@is_file($path . '/' . $file)) {
 								$recursionResult = self::fixPermissions($path . '/' . $file);
